CREATING 3-D OBJECTS in Word

Draw QR Code in Word CREATING 3-D OBJECTS

CHAPTER 9 CREATING 3-D OBJECTS
QR Code ISO/IEC18004 Drawer In None
Using Barcode creator for Word Control to generate, create QR Code ISO/IEC18004 image in Word applications.
www.OnBarcode.com
PDF417 Drawer In None
Using Barcode encoder for Microsoft Word Control to generate, create PDF 417 image in Word applications.
www.OnBarcode.com
'' calculate dblCenter(0) dblCenter(1) dblCenter(2)
ANSI/AIM Code 39 Printer In None
Using Barcode drawer for Office Word Control to generate, create Code39 image in Microsoft Word applications.
www.OnBarcode.com
DataMatrix Creator In None
Using Barcode generation for Word Control to generate, create Data Matrix 2d barcode image in Office Word applications.
www.OnBarcode.com
center point = varPick(0) = varPick(1) = varPick(2)
Printing Barcode In None
Using Barcode creator for Office Word Control to generate, create Barcode image in Microsoft Word applications.
www.OnBarcode.com
Barcode Printer In None
Using Barcode creator for Microsoft Word Control to generate, create Barcode image in Word applications.
www.OnBarcode.com
from input + (dblLength / 2) + (dblWidth / 2) + (dblHeight / 2)
UPC Symbol Generator In None
Using Barcode generator for Word Control to generate, create Universal Product Code version A image in Microsoft Word applications.
www.OnBarcode.com
Painting Bookland EAN In None
Using Barcode creation for Office Word Control to generate, create International Standard Book Number image in Office Word applications.
www.OnBarcode.com
'' draw the entity Set objEnt = ThisDrawing.ModelSpace.AddWedge(dblCenter, dblLength, _ dblWidth, dblHeight) objEnt.Update ThisDrawing.SendCommand "_shade" & vbCr End Sub
Recognize QR In .NET Framework
Using Barcode decoder for VS .NET Control to read, scan read, scan image in .NET framework applications.
www.OnBarcode.com
QR Code Printer In None
Using Barcode generator for Software Control to generate, create QR Code image in Software applications.
www.OnBarcode.com
Creating Elliptical 3-D Objects
Decode Barcode In Visual Basic .NET
Using Barcode Control SDK for .NET framework Control to generate, create, read, scan barcode image in .NET framework applications.
www.OnBarcode.com
QR Code JIS X 0510 Scanner In Visual Basic .NET
Using Barcode recognizer for VS .NET Control to read, scan read, scan image in .NET applications.
www.OnBarcode.com
AutoCAD provides two methods for creating elliptical solids. The first creates an elliptical cone, and the second creates an elliptical cylinder.
GS1 DataBar-14 Generation In .NET Framework
Using Barcode drawer for .NET Control to generate, create GS1 RSS image in Visual Studio .NET applications.
www.OnBarcode.com
Drawing PDF-417 2d Barcode In Visual Basic .NET
Using Barcode printer for .NET framework Control to generate, create PDF-417 2d barcode image in Visual Studio .NET applications.
www.OnBarcode.com
The Elliptical Cone
Reading PDF417 In VS .NET
Using Barcode recognizer for VS .NET Control to read, scan read, scan image in Visual Studio .NET applications.
www.OnBarcode.com
ANSI/AIM Code 39 Generator In C#
Using Barcode maker for .NET framework Control to generate, create ANSI/AIM Code 39 image in .NET framework applications.
www.OnBarcode.com
The AddEllipticalCone method creates a 3DSolid object in the form of an elliptical cone whose base lies flat on the WCS XY plane. The major axis of the ellipse may lie in either the X direction or the Y direction. Set 3DSolidObject = Object.AddEllipticalCone(ConeCenter, XLength, YLength, Height) Table 9-7 presents the AddElliptical method s parameters, and Figure 9-7 shows an example of an elliptical cone in AutoCAD. Table 9-7. The AddEllipticalCone Method s Parameters
Code 39 Full ASCII Decoder In None
Using Barcode decoder for Software Control to read, scan read, scan image in Software applications.
www.OnBarcode.com
Code 128C Maker In Objective-C
Using Barcode drawer for iPhone Control to generate, create Code 128 Code Set C image in iPhone applications.
www.OnBarcode.com
Name
Barcode Drawer In Java
Using Barcode maker for Android Control to generate, create Barcode image in Android applications.
www.OnBarcode.com
Scanning Code 39 Full ASCII In Java
Using Barcode reader for Java Control to read, scan read, scan image in Java applications.
www.OnBarcode.com
ConeCenter XLength YLength Height
Data Type
Variant Double Double Double
Description
A three-element array of doubles specifying the center of the bounding box in WCS coordinates A positive value representing the length of the X-axis of the cone s elliptical base A positive value representing the length of the Y-axis of the cone s elliptical base A positive value representing the cone s height
CHAPTER 9 CREATING 3-D OBJECTS
Figure 9-7. An elliptical cone
The following example creates an elliptical cone based on user input: Public Sub TestAddEllipticalCone() Dim varPick As Variant Dim dblXAxis As Double Dim dblYAxis As Double Dim dblHeight As Double Dim dblCenter(2) As Double Dim objEnt As Acad3DSolid '' set the default viewpoint SetViewpoint '' get input from user With ThisDrawing.Utility .InitializeUserInput 1 varPick = .GetPoint(, vbCr & "Pick a base center point: ") .InitializeUserInput 1 + 2 + 4, "" dblXAxis = .GetDistance(varPick, vbCr & "Enter the X eccentricity: ") .InitializeUserInput 1 + 2 + 4, "" dblYAxis = .GetDistance(varPick, vbCr & "Enter the Y eccentricity: ") .InitializeUserInput 1 + 2 + 4, "" dblHeight = .GetDistance(varPick, vbCr & "Enter the cone Z height: ") End With '' calculate dblCenter(0) dblCenter(1) dblCenter(2) center point from input = varPick(0) = varPick(1) = varPick(2) + (dblHeight / 2)
CHAPTER 9 CREATING 3-D OBJECTS
'' draw the entity Set objEnt = ThisDrawing.ModelSpace.AddEllipticalCone(dblCenter, _ dblXAxis, dblYAxis, dblHeight) objEnt.Update ThisDrawing.SendCommand "_shade" & vbCr End Sub
The Elliptical Cylinder
Use the AddEllipticalCylinder method to add a 3DSolid elliptical cylinder whose base lies parallel to the WCS XY plane. The major axis of the elliptical base lies either in the X direction or in the Y direction. Set 3DSolidObject = Object.AddEllipticalCylinder _ (CylinderCenter, XLength, YLength, Height) Table 9-8 presents the AddEllipticalCylinder method s parameters, and Figure 9-8 shows an example of an elliptical cylinder in AutoCAD. Table 9-8. The AddEllipticalCylinder Method s Parameters
Name
CylinderCenter XLength YLength Height
Data Type
Variant Double Double Double
Description
A three-element array of doubles specifying the center of the bounding box in WCS coordinates A positive value representing the length of the X-axis of the cylinder s elliptical base A positive value representing the length of the Y-axis of the cylinder s elliptical base A positive value representing the cylinder s height
CHAPTER 9 CREATING 3-D OBJECTS
This example creates an elliptical cylinder based on user input: Public Sub TestAddEllipticalCylinder() Dim varPick As Variant Dim dblXAxis As Double Dim dblYAxis As Double Dim dblHeight As Double Dim dblCenter(2) As Double Dim objEnt As Acad3DSolid '' set the default viewpoint SetViewpoint '' get input from user With ThisDrawing.Utility .InitializeUserInput 1 varPick = .GetPoint(, vbCr & "Pick a base center point: ") .InitializeUserInput 1 + 2 + 4, "" dblXAxis = .GetDistance(varPick, vbCr & "Enter the X eccentricity: ") .InitializeUserInput 1 + 2 + 4, "" dblYAxis = .GetDistance(varPick, vbCr & "Enter the Y eccentricity: ") .InitializeUserInput 1 + 2 + 4, "" dblHeight = .GetDistance(varPick, vbCr & _ "Enter the cylinder Z height: ") End With '' calculate dblCenter(0) dblCenter(1) dblCenter(2) center point from input = varPick(0) = varPick(1) = varPick(2) + (dblHeight / 2)
'' draw the entity Set objEnt = ThisDrawing.ModelSpace.AddEllipticalCylinder(dblCenter, _ dblXAxis, dblYAxis, dblHeight) objEnt.Update ThisDrawing.SendCommand "_shade" & vbCr End Sub
Copyright © OnBarcode.com . All rights reserved.